interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/subreddits/popular/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 430270 characters]
        o6T2IJ4SlJnbD6nEeq9sClb1/gskk/PtW54VAA==
    headers:
      CF-RAY: [2ce10d28fdd651d6-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['288562']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sat, 06 Aug 2016 08:17:16 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d714b1fa1d83eeecbeb2089f7f6f2fcba1470471435; expires=Sun,
          06-Aug-17 08:17:15 GMT; path=/; domain=.reddit.com; HttpOnly']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=e6tPhVGt1HP04TIjxxkTHR7b5zOxJ%2BQzrq1N6nLb98EuEp7k4AISwDjsbUP9CPoBFhEKwFnNxFh7kVPez1%2BVaQJAdYp%2FlX0K']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [__cfduid=d714b1fa1d83eeecbeb2089f7f6f2fcba1470471435]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/top/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 82535 characters]
        u+t//uf/A1Bqc+1XjgQA
    headers:
      CF-RAY: [2ce10d3addfe51d6-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['55362']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sat, 06 Aug 2016 08:17:19 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=%2FPO%2BRJ4Pa0v14%2FM7Kc%2Bt1%2B57ItCqipxNlAKtG6bjn3X97DOKCOQ2ceJn5wNmlgovQSnZ3X1LY37Pq82wv6oo0HqEl2sfoXZi']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
